Page MenuHomePhabricator

Implement a (conservative) usage aspect deduplicater (days: 4)
Closed, ResolvedPublic

Description

While we for now probably don't want to deduplicate all redundant usages, we should have a usage deduplicater that removes specified usages of a type if there are unspecified usages of the same type.

This would look like this (left side is input, right side is output)

  • L.de, LL
  • D.de, D, L, C.P12D, L, C.P12

As said above, other redundancies should not be tackled:

  • X, D.deX, D.de

Patch-For-Review:

Event Timeline

hoo created this task.Oct 12 2017, 3:25 PM

Perhaps this can be implemented directly in the UsageAggregator.

Ladsgroup moved this task from consider for next sprint to in progress on the Wikidata board.
Ladsgroup added a subscriber: Ladsgroup.

I do it.

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJan 16 2018, 8:07 PM
WMDE-leszek triaged this task as Normal priority.Jan 17 2018, 11:33 AM

Change 405013 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/Wikibase@master] Deduplicate entity usages when returning from ParserOutputUsageAccumulator

https://gerrit.wikimedia.org/r/405013

Change 405895 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Wikibase@master] Fix smaller mistakes in UsageDeduplicator

https://gerrit.wikimedia.org/r/405895

Change 405896 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Wikibase@master] Rearrange UsageDeduplicator implementation

https://gerrit.wikimedia.org/r/405896

Change 405013 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Deduplicate entity usages when returning from ParserOutputUsageAccumulator

https://gerrit.wikimedia.org/r/405013

WMDE-leszek renamed this task from Implement a (conservative) usage aspect deduplicater to Implement a (conservative) usage aspect deduplicater (days: 3).Jan 23 2018, 4:52 PM

Change 405895 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Fix smaller mistakes in UsageDeduplicator

https://gerrit.wikimedia.org/r/405895

WMDE-leszek renamed this task from Implement a (conservative) usage aspect deduplicater (days: 3) to Implement a (conservative) usage aspect deduplicater (days: 4).Jan 24 2018, 3:48 PM

Change 405896 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Rearrange UsageDeduplicator implementation

https://gerrit.wikimedia.org/r/405896

thiemowmde closed this task as Resolved.Jan 25 2018, 12:36 PM
thiemowmde removed a project: Patch-For-Review.
thiemowmde updated the task description. (Show Details)
thiemowmde moved this task from Review to Done on the Wikidata-Sprint-2018-01-17 board.
thiemowmde updated the task description. (Show Details)